SLF4JLocationAwareLog (SLF4J 1.7.28 API)
Date: 2019-08-10

org.apache.commons.logging.impl

## Class SLF4JLocationAwareLog

- java.lang.Object
- - org.apache.commons.logging.impl.SLF4JLocationAwareLog

- All Implemented Interfaces:
    Serializable, Log

      public class SLF4JLocationAwareLog
      extends Object
      implements Log, Serializable

  Implementation of `org.apache.commons.logging.Log` interface which delegates all processing to a wrapped `org.slf4j.Logger` instance.

  JCL's FATAL level is mapped to ERROR. All other levels map one to one.

  Author:
    Ceki Gülcü
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Object message)` Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
    `void` | `debug(Object message, Throwable t)` Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
    `void` | `error(Object message)` Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
    `void` | `error(Object message, Throwable t)` Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
    `void` | `fatal(Object message)` Converts the input parameter to String and then delegates to the error method of the wrapped `org.slf4j.Logger` instance.
    `void` | `fatal(Object message, Throwable t)` Converts the first input parameter to String and then delegates to the error method of the wrapped `org.slf4j.Logger` instance.
    `void` | `info(Object message)` Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
    `void` | `info(Object message, Throwable t)` Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
    `boolean` | `isDebugEnabled()` Directly delegates to the wrapped `org.slf4j.Logger` instance.
    `boolean` | `isErrorEnabled()` Directly delegates to the wrapped `org.slf4j.Logger` instance.
    `boolean` | `isFatalEnabled()` Delegates to the `isErrorEnabled`method of the wrapped `org.slf4j.Logger` instance.``
    `boolean` | `isInfoEnabled()` Directly delegates to the wrapped `org.slf4j.Logger` instance.
    `boolean` | `isTraceEnabled()` Delegates to the `isTraceEnabled`method of the wrapped `org.slf4j.Logger` instance.``
    `boolean` | `isWarnEnabled()` Directly delegates to the wrapped `org.slf4j.Logger` instance.
    `protected Object` | `readResolve()` Replace this instance with a homonymous (same name) logger returned by LoggerFactory.
    `void` | `trace(Object message)` Converts the input parameter to String and then delegates to the debug method of the wrapped `org.slf4j.Logger` instance.
    `void` | `trace(Object message, Throwable t)` Converts the first input parameter to String and then delegates to the debug method of the wrapped `org.slf4j.Logger` instance.
    `void` | `warn(Object message)` Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
    `void` | `warn(Object message, Throwable t)` Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

  - ### Method Detail

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Delegates to the `isTraceEnabled`method of the wrapped `org.slf4j.Logger` instance.``
      Specified by:
        `isTraceEnabled` in interface `Log`
      Returns:
        true if trace enabled, false otherwise

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Directly delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `isDebugEnabled` in interface `Log`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Directly delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `isInfoEnabled` in interface `Log`
      Returns:
        true if info enabled, false otherwise

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Directly delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `isWarnEnabled` in interface `Log`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Directly delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `isErrorEnabled` in interface `Log`

    - #### isFatalEnabled

          public boolean isFatalEnabled()

      Delegates to the `isErrorEnabled`method of the wrapped `org.slf4j.Logger` instance.``
      Specified by:
        `isFatalEnabled` in interface `Log`

    - #### trace

          public void trace(Object message)

      Converts the input parameter to String and then delegates to the debug method of the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `trace` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`

    - #### trace

          public void trace(Object message,
                            Throwable t)

      Converts the first input parameter to String and then delegates to the debug method of the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `trace` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`
        `t` - the exception to log

    - #### debug

          public void debug(Object message)

      Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `debug` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`

    - #### debug

          public void debug(Object message,
                            Throwable t)

      Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `debug` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`
        `t` - the exception to log

    - #### info

          public void info(Object message)

      Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `info` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`

    - #### info

          public void info(Object message,
                           Throwable t)

      Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `info` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`
        `t` - the exception to log

    - #### warn

          public void warn(Object message)

      Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `warn` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`

    - #### warn

          public void warn(Object message,
                           Throwable t)

      Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `warn` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`
        `t` - the exception to log

    - #### error

          public void error(Object message)

      Converts the input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `error` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`

    - #### error

          public void error(Object message,
                            Throwable t)

      Converts the first input parameter to String and then delegates to the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `error` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`
        `t` - the exception to log

    - #### fatal

          public void fatal(Object message)

      Converts the input parameter to String and then delegates to the error method of the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `fatal` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`

    - #### fatal

          public void fatal(Object message,
                            Throwable t)

      Converts the first input parameter to String and then delegates to the error method of the wrapped `org.slf4j.Logger` instance.
      Specified by:
        `fatal` in interface `Log`
      Parameters:
        `message` - the message to log. Converted to `String`
        `t` - the exception to log

    - #### readResolve

          protected Object readResolve()
                                throws ObjectStreamException

      Replace this instance with a homonymous (same name) logger returned by LoggerFactory. Note that this method is only called during deserialization.
      Returns:
        logger with same name as returned by LoggerFactory
      Throws:
        `ObjectStreamException`

Copyright © 2005–2019 QOS.ch. All rights reserved.